#!/usr/bin/python3

from PyQt6.QtWidgets import QWidget, QGridLayout, QSizePolicy
from .track_control import TrackControl
from .lines import HLine


class MainContainer(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.layout = QGridLayout()
        self.setLayout(self.layout)

        self.track_control = TrackControl(self)
        self.layout.addWidget(self.track_control)

        self.layout.addWidget(HLine(self))  # track_control separator line

        self.setSizePolicy(QSizePolicy.Policy.Preferred, QSizePolicy.Policy.Fixed)

